﻿* Encoding: UTF-8.

set seed 13.

input program.
+ loop #i = 1 to 300.
-    compute X = uniform(1).
-    end case.
+ end loop.
+ end file.
end input program.

compute W = normal(1).
compute XW = X*W.
compute M = X + W + 0.5*XW + normal(1).
compute Y = 1 + X + M +normal(1).
execute.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT M
  /METHOD=ENTER X W XW.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI(95) R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT Y
  /METHOD=ENTER X M X.

process Y=Y /X=X /M=M /W=W /model=7.
