﻿* Encoding: UTF-8.

input program.
+ loop #i = 1 to 400.
-  compute eignung  =  rnd(10+normal(3)).
-  compute dalter   =  20*uniform(1) + 0.25*eignung.
-  compute gehalt =  2000 + 15*dalter + 10*eignung + 3*dalter*eignung + normal(250).
-  end case.
+ end loop.
+ end file.
end input program.

variable labels eignung 'Berufliche Eignung' dalter 'Dienstalter' gehalt 'Gehalt in Euro'.

compute  daeig = dalter * eignung.

FREQUENCIES
  VARIABLES=dalter eignung gehalt /format = not
  /STATISTICS=STDDEV VARIANCE RANGE MINIMUM MAXIMUM SEMEAN MEAN MEDIAN MODE
  SUM SKEWNESS SESKW KURTOSIS SEKURT
  /HISTOGRAM .

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA BCOV
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT gehalt
  /METHOD=ENTER daeig dalter eignung  .

subtitle Testung des bedingten Effektes bei EIGNUNG = 7,231.
compute eigme = eignung - 7.231.
compute daeigme = dalter * eigme.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA BCOV
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT gehalt
  /METHOD=ENTER daeigme dalter eigme .
subtitle.

compute  mdalter = dalter - 12.497.
compute  meignung = eignung -10.218.
compute  mdaeig = mdalter * meignung.

FREQUENCIES
  VARIABLES=mdalter meignung /format = not
  /STATISTICS=STDDEV VARIANCE RANGE MINIMUM MAXIMUM SEMEAN MEAN MEDIAN MODE
  SUM SKEWNESS SESKW KURTOSIS SEKURT
  /HISTOGRAM .

subtitle Zentrierte Lösung.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA BCOV
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT gehalt
  /METHOD=ENTER mdaeig mdalter meignung  .
subtitle.

compute  sgehalt = (gehalt - 2693.103)/416.343.
compute  sdalter = (dalter - 12.497)/5.933.
compute  seignung = (eignung -10.218)/2.987.
compute  sdaeig = sdalter * seignung.

subtitle Standardisierte Lösung.
REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA BCOV
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT sgehalt
  /METHOD=ENTER sdaeig sdalter seignung  .
subtitle.

